# Get Booking BEO Version List

### Get Booking BEO Version List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getBookingBeoVersionList`

Retrieve a list of all versions of Banquet Event Orders (BEO) associated with a specific booking.

#### Request Body

| Name          | Type    | Description                                                               |
| ------------- | ------- | ------------------------------------------------------------------------- |
| venueId       | integer | The unique ID of the venue to which the booking belongs.                  |
| bookingId     | integer | The unique ID of the booking whose BEO versions are to be retrieved.      |
| onlyGenerated | boolean | Whether to fetch only generated documents.                                |
| beoNumber     | integer | The unique number assigned to the BEO whose versions are to be retrieved. |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "meta": {
        "totalResults": 3,
        "start": 0,
        "perPage": 100,
        "count": 3
    },
    "results": [
        {
            "id": 1098,
            "venueId": 1,
            "bookingId": 25539,
            "beoType": 6,
            "beoNumber": 348,
            "version": 1,
            "versionNote": "",
            "file": {
                "url": "https://some.url/expiry2b",
                "urlExpiry": "2025-05-06 04:58:52 UTC",
                "filename": "29/12/2024 - BEO 348-1 - Test - Day1 - IPD-17309 Summarized tax.pdf"
            },
            "templateName": "Generic Venue Session BEO",
            "status": 4,
            "createdBy": 1,
            "createdDate": "2025-04-23 04:39:10 UTC"
        },
        {
            "id": 1099,
            "venueId": 1,
            "bookingId": 25539,
            "beoType": 6,
            "beoNumber": 348,
            "version": 2,
            "versionNote": "",
            "file": null,
            "templateName": "Generic Venue Session BEO",
            "status": 4,
            "createdBy": 1,
            "createdDate": "2025-04-23 04:39:35 UTC"
        },
        {
            "id": 1101,
            "venueId": 1,
            "bookingId": 25539,
            "beoType": 6,
            "beoNumber": 348,
            "version": 3,
            "versionNote": "Something 2",
            "file": {
                "url": "https://Some.url/expiry",
                "urlExpiry": "2025-05-06 04:58:52 UTC",
                "filename": "29/12/2024 - BEO 348-3 - Test - Day1 - IPD-17309 Summarized tax.pdf"
            },
            "templateName": "Generic Venue Session BEO",
            "status": 9,
            "createdBy": 1,
            "createdDate": "2025-04-23 04:39:58 UTC"
        }
    ]
}

```

{% endtab %}
{% endtabs %}

### Example Request

```javascript
{
  "venueId": 1,
  "bookingId": 22363
  "beoNumber": 348
}
```

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of Banquet Event Orders (BEO) records that the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) properties.

### Booking BEO

| Property     | Type     | Description                                                                                                              |
| ------------ | -------- | ------------------------------------------------------------------------------------------------------------------------ |
| id           | integer  | The unique ID of the BEO.                                                                                                |
| venueId      | integer  | The unique ID of the venue associated with the BEO.                                                                      |
| bookingId    | integer  | The unique ID of the booking associated with the BEO.                                                                    |
| beoType      | integer  | The type of the BEO. See [BEO Type](/venues/getoraddbookingdata/get-booking-beo-list.md#beo-type)                        |
| beoNumber    | integer  | The unique number assigned to the BEO.                                                                                   |
| version      | integer  | The version of the BEO document.                                                                                         |
| versionNote  | string   | Any notes regarding the BEO version.                                                                                     |
| file         | object   | The file details (can be `null` if no file exists). see [File](/venues/getoraddbookingdata/get-booking-beo-list.md#file) |
| templateName | string   | The name of the template used to generate the BEO.                                                                       |
| status       | integer  | The status of the BEO. See [Status](/venues/getoraddbookingdata/get-booking-beo-list.md#status)                          |
| createdBy    | integer  | The user ID of the person who created the BEO.                                                                           |
| createdDate  | datetime | The date and time when the BEO was created (UTC).                                                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-beo-version-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
